> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw

> Withdraw is called by the bidder to withdraw deposit from the bidder registry.



## OpenAPI

````yaml /v1.1.0/api-reference/bidder-openapi-spec.json post /v1/bidder/withdraw
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.1.6-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/withdraw:
    post:
      summary: Withdraw
      description: >-
        Withdraw is called by the bidder to withdraw deposit from the bidder
        registry.
      operationId: Bidder_Withdraw
      parameters:
        - name: windowNumber
          description: >-
            Optional window number for withdrawing deposits. If not specified,
            the last window number is used.
          in: query
          required: false
          schema:
            type: string
            format: uint64
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1WithdrawResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1WithdrawResponse:
      type: object
      example:
        amount: '1000000000000000000'
        window_number: 1
      properties:
        amount:
          type: string
        windowNumber:
          type: string
          format: uint64
      description: Withdrawn deposit from the bidder registry.
      title: Withdraw response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````